  import { world, Player } from "@minecraft/server";
  import { morphs } from 'morph_item.js';
  import { mode, item_collect_mobs_directly, mode_activate } from 'setup_mode.js';
  
  
  function getItemIndex() {
      for (const player of world.getPlayers()) {
  
          for (let slot = 0; slot < player.getComponent("minecraft:inventory").container.size; slot++) {
              const itemStack = player.getComponent("minecraft:inventory").container.getItem(slot);
              if (!itemStack) continue;
              if (itemStack.typeId === "pa:pa item") {
                  return slot;
              }
          }
      }
      return -1;
  }
  
  
  export function addMorph(player, morphID, soulCounter) {
      let indexMorphBracelet = getItemIndex();
  
      if (indexMorphBracelet == -1) return false;
      const itemStack = player.getComponent("minecraft:inventory").container.getItem(indexMorphBracelet);
  
      let morphsData = itemStack.getDynamicProperty("morphs") || "[]";
      let morphsArray;
  
      try {
          morphsArray = JSON.parse(morphsData);
          if (!Array.isArray(morphsArray)) throw new Error("Vui lòng khởi động lại thế giới");
      } catch (error) {
          world.sendMessage("Lỗi khi parse JSON, đặt giá trị mặc định.");
          morphsArray = [];
      }
  
      if (!morphsArray.includes('pa:player')) {
          morphsArray.unshift('pa:player');
          itemStack.setDynamicProperty("morphs", JSON.stringify(morphsArray));
          player.getComponent("minecraft:inventory").container.setItem(indexMorphBracelet, itemStack);
      }
  
      if (!morphsArray.includes(morphID)) {
          morphsArray.unshift(morphID);
          itemStack.setDynamicProperty("morphs", JSON.stringify(morphsArray));
          player.getComponent("minecraft:inventory").container.setItem(indexMorphBracelet, itemStack);
          soulCounter.count++;
          return true;
      }
      return false;
  };
  